Bug 104478 - add apache 2.4 config for Fedora 18
Summary: add apache 2.4 config for Fedora 18
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-09 04:14 PST by Dan Winship
Modified: 2013-01-18 11:37 PST (History)
4 users (show)

See Also:


Attachments
patch - apache 2.4 config for F18 (5.67 KB, patch)
2012-12-09 04:18 PST, Dan Winship
no flags Details | Formatted Diff | Diff
updated patch, should work with python 2.6 (5.68 KB, patch)
2012-12-09 04:52 PST, Dan Winship
no flags Details | Formatted Diff | Diff
more updates; fix run-webkit-httpd and a few tests (12.45 KB, patch)
2012-12-09 08:02 PST, Dan Winship
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Winship 2012-12-09 04:14:56 PST
Fedora 18 ships Apache 2.4, which has various httpd.conf incompatibilities with Apache 2.2. This patch deals with that by splitting the existing fedora-httpd.conf into two nearly-identical versions; hopefully bug 98151 will eventually undo this...
Comment 1 Dan Winship 2012-12-09 04:18:09 PST
Created attachment 178407 [details]
patch - apache 2.4 config for F18
Comment 2 WebKit Review Bot 2012-12-09 04:22:02 PST
Attachment 178407 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/http..." exit_code: 1
/mnt/git/webkit-style-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/pylint/lint.py:393: DeprecationWarning: disable-msg is deprecated, replace it by disable (/mnt/git/webkit-style-queue/Tools/Scripts/webkitpy/layout_tests/port/base.py, line         return reftest_list.get(self._filesystem.join(self.layout_tests_dir(), test_name), [])  # pylint: disable-msg=E1103
)
  DeprecationWarning)
Tools/Scripts/webkitpy/layout_tests/port/base.py:1212:  [Port._apache_version] Passing unexpected keyword argument 'flags' in function call  [pylint/E1123] [5]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Dan Winship 2012-12-09 04:52:45 PST
Created attachment 178412 [details]
updated patch, should work with python 2.6

apparently re.sub() only has 'flags' since python 2.7
Comment 4 Dan Winship 2012-12-09 05:33:50 PST
Comment on attachment 178412 [details]
updated patch, should work with python 2.6

need fixes for webkitperl too...
Comment 5 Dan Winship 2012-12-09 08:02:59 PST
Created attachment 178418 [details]
more updates; fix run-webkit-httpd and a few tests
Comment 6 WebKit Review Bot 2013-01-08 10:11:29 PST
Comment on attachment 178418 [details]
more updates; fix run-webkit-httpd and a few tests

Clearing flags on attachment: 178418

Committed r139071: <http://trac.webkit.org/changeset/139071>
Comment 7 WebKit Review Bot 2013-01-08 10:11:33 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Alexey Proskuryakov 2013-01-18 11:37:41 PST
This patch caused bug 107310.